Skip to main content

Get Otp​

Allows user to generate OTP for a given phone number or email address

Path Parameters
    apiId Apiid required
Request Body required
    AdditionalSetup object

    This section will contains additional information.

    currency string

    Possible values: <= 5 characters

    Currency in which policy will be purchased.

    userCountry string

    Possible values: <= 5 characters

    Country of the user.

    userRegion string

    Region (State or Province) of the user.

    userLanguage string

    Language set by user on the consumer app

    userIP string

    User IP address.

    userAgent string

    User's browser details.

    userGeoLocation object

    Return a JSON object with latitude and longitude properties to point to location of user.

    latitude string

    Latitude in Decimal degrees.

    longitude string

    Longitude in Decimal degrees.

    distributor object required

    This section will give details of intermediary (Broker, corporate Agent or Bank acting as intermediary)

    distributorID string required

    Possible values: <= 20 characters

    Distributor ID assign to each consumer by 1SB

    agentID string required

    Possible values: <= 30 characters

    Agent code. Eg. PoSP code or SP code provided by insurance company.

    salesChannel string

    Possible values: <= 20 characters, [Online, Others]

    This is used by insurance companies to identify sales channel.

    channelType string required

    Possible values: <= 20 characters, [B2B, B2C]

    Indicates if the transaction is B2B or B2C.

    agentType string

    Possible values: <= 20 characters, [POSP, SP, BQP]

    Indicates if the agent type is POSP ,SP or BQP.

    varFields object[]
  • Array [
  • fieldName string

    Possible values: <= 50 characters

    Additional fields for distributor section

    fieldValue string

    Possible values: <= 50 characters

    Value of additional fields

  • ]
  • insuranceCompanyCode string required

    Possible values: <= 15 characters

    The code to identify for which insurance company this proposal belongs to.

    applicationNo string

    Possible values: <= 100 characters

    Proposal Applcation No.

    policyNo string

    Possible values: <= 100 characters

    Policy number.

    quoteId string

    Possible values: <= 100 characters

    Quotation Number.

    UITrackingRefNo string

    UI tracking Reference Number .

    OTPDetails object
    mobileNumber integer

    Possible values: <= 10 characters

    Mobile number of Proposer.

    email string

    Possible values: <= 100 characters

    Email ID of Proposer.

    varFields object[]

    varField array hold any additional data related to OTP Details

  • Array [
  • fieldName string

    Possible values: <= 20 characters

    Name of additional fields

    fieldValue string

    Possible values: <= 20 characters

    Value of additional fields

  • ]
Responses

Successful Response


Schema
    ExpiryTime string required

    Standard Date and Time.

    OTPTransactionId string required

    OTP Transaction ID from manufacturer or If 1SB is generating OTP then a transaction Id should be generated. This will be used for tracking and validating OTP.

    UITrackingRefNo string required

    UI tracking Reference Number .

    varFields object[]

    varField array hold any additional data related to Distributor

  • Array [
  • fieldName string

    Possible values: <= 20 characters

    Name of additional fields

    fieldValue string

    Possible values: <= 20 characters

    Value of additional fields

  • ]
Loading...